<template>
    <div>
        <ProjectForm v-bind:project="project" v-bind:technicals="technicals" v-bind:commercials="commercials" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></ProjectForm>
    </div>
</template>

<script>
import ProjectForm from './Project.Form';
import { addProject } from '@/api/projects.service.js';
export default {
    data() {
        return {
            project: {
                technical: {},
                commercial: {},
                facture: {}
            }
        }
    },
    computed: {
        technicals() {
            return this.$store.getters.getAllDevelopers;
        },
        commercials() {
            return this.$store.getters.getAllCommercials;
        }
    },
    components: {
        ProjectForm
    },
    created() {
        this.$store.dispatch('getAllUsers');
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            addProject(this.project).then(() => {
                this.$router.go(-1);
            });
        },
        remove() {

        }
    }
}
</script>

<style>

</style>
